<?php

/**
 * Yii Framework FriendlyUrl Extension
 * @package FriendlyURL
 * @license BSD
 */

/**
 * Some helper stuff for Friendly Url extension.
 * @package FriendlyURL
 * @author Oleg Blednov aka Blake-R
 * @version 2009-04-13
 */
class CFriendlyUrlHelper
{
	/**
	 * If $str begin with magic '@@', then try to evaluate it as function.
	 * @param string $str String to evaluate.
	 * @param mixed $params Any parameters for evaluate string.
	 * @return string Evaluated or original string.
	 */
	static public function magicString($str, $params=NULL)
	{
		if (substr($str, 0, 2)!='@@') return $str;
		$f = @create_function('$p', substr($str, 2).';');
		if ($f) return $f($params);
		else return $str;
	}
}

?>
