<?php

/**
 * Yii Framework FriendlyUrl Extension
 * @package FriendlyURL
 * @license BSD
 */

/**
 * PHP pages storage class.
 * @package FriendlyURL
 * @author Oleg Blednov aka Blake-R
 * @version 2009-04-13
 */
class CFriendlyUrlPagePhpStorage implements IFriendlyUrlPageStorage
{
	/**
	 * File, in which pages data stored.
	 * @var string
	 */
	protected $dataFile = 'protected/data/pages.php';

	/**
	 * Constructor.
	 * @param array $params Parameters for initialization.
	 * @uses $dataFile
	 * @see IFriendlyUrlPageStorage::__construct()
	 */
	public function __construct(array $params)
	{
		if (isset($params['dataFile'])) $this->dataFile = $params['dataFile'];
	}

	/**
	 * Getting pages data.
	 * @return array All pages in array.
	 * @uses $dataFile
	 * @see IFriendlyUrlPageStorage::getData()
	 */
	public function getData()
	{
		$data = require($this->dataFile);
		return $data;
	}
}

?>
